import os
import grpc
from zeebe_grpc import gateway_pb2, gateway_pb2_grpc

# ZEEBE_SECURE_CONNECTION
# ZEEBE_BASIC_AUTH_USERNAME
# ZEEBE_BASIC_AUTH_PASSWORD
# ZEEBE_TOKEN_AUDIENCE
# ZEEBE_AUTHORIZATION_SERVER_URL
# ZEEBE_TOKEN_CACHE_DIR


class ZeebeBase:
    def __init__(self, zeebe_address: str = None, client_id: str = None, client_secret: str = None):
        self.zeebe_address = zeebe_address or os.environ.get("ZEEBE_ADDRESS") or "localhost:26500"
        self.client_id = client_id or os.environ.get("ZEEBE_CLIENT_ID", None)
        self.client_secret = client_secret or os.environ.get("ZEEBE_CLIENT_SECRET", None)

        self.channel = grpc.insecure_channel(self.zeebe_address)
        self.stub = gateway_pb2_grpc.GatewayStub(self.channel)
